Bug 27520 - Adding new itemtype images boardgame, zoom-in, and zoom-out to carredart
Summary: Adding new itemtype images boardgame, zoom-in, and zoom-out to carredart
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Victoria Faafia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-21 21:20 UTC by Victoria Faafia
Modified: 2021-11-04 07:12 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This enhancement adds boardgame, zoom-in and zoom-out images to the carredart icon set for item types.
Version(s) released in:
21.11.00


Attachments
patch (6.11 KB, patch)
2021-01-21 21:46 UTC, Victoria Faafia
Details | Diff | Splinter Review
Bug 27520: (follow-up) Add copy of images to carredart icons in the OPAC (5.85 KB, patch)
2021-01-22 17:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27520: Adding new itemtype images to carredart (6.18 KB, patch)
2021-01-25 11:34 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27520: (follow-up) Add copy of images to carredart icons in the OPAC (5.92 KB, patch)
2021-01-25 11:34 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27520: Adding new itemtype images boardgame, zoom-in, and zoom-out to carredart (17.72 KB, patch)
2021-07-16 21:54 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Victoria Faafia 2021-01-21 21:20:09 UTC

    
Comment 1 Victoria Faafia 2021-01-21 21:46:21 UTC
Created attachment 115624 [details] [review]
patch
Comment 2 Victoria Faafia 2021-01-21 21:48:17 UTC
Bug 27520: Adding new itemtype images to carredart
    
    This patch adds 3 new itemtype images to carredart: boardgame(domino), zoom-in and zoom-out
    
    Test Plan
    1. Go to Administration>item types>Modify item type
    2. Click on the carredart tab that under choose an icon
    3. Check that a these 3 icons have been added
Comment 3 Katrin Fischer 2021-01-21 23:18:25 UTC
As the itemtype images can be displayed in the OPAC and in the staff interface we currently need to add them in 2 places as one cannot access the image files of the other.

Can you also add the files to
koha-tmpl/opac-tmpl/bootstrap/itemtypeimg/carredart please?
Comment 4 Owen Leonard 2021-01-22 17:56:26 UTC
Created attachment 115709 [details] [review]
Bug 27520: (follow-up) Add copy of images to carredart icons in the OPAC
Comment 5 PTFS Europe Sandboxes 2021-01-25 11:34:31 UTC
Created attachment 115745 [details] [review]
Bug 27520: Adding new itemtype images to carredart

This patch adds 3 new itemtype images to carredart: boardgame(domino), zoom-in and zoom-out

Test Plan
1. Go to Administration>item types>Modify item type
2. Click on the carredart tab that under choose an icon
3. Check that a these 3 icons have been added

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 6 PTFS Europe Sandboxes 2021-01-25 11:34:34 UTC
Created attachment 115746 [details] [review]
Bug 27520: (follow-up) Add copy of images to carredart icons in the OPAC

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 7 Sally 2021-01-25 11:35:32 UTC
Works as described.

Test Plan
1. Go to Administration>item types>modify item type
2. There should be a lock item type under the carredart
3. Modify the item type so one of the new icons is used
4. Search for an item using the above item type
5. Check that the icon displays properly in both the staff client and OPAC
6. Repeat steps for all 3 icons
Comment 8 Katrin Fischer 2021-01-26 21:37:22 UTC
Hi, please see comment on bug 27522 too.
Can you please clear up where the icon was taken from before we add it to Koha?
Comment 9 Owen Leonard 2021-07-16 21:54:57 UTC
Created attachment 122931 [details] [review]
Bug 27520: Adding new itemtype images boardgame, zoom-in, and zoom-out to carredart

This patch adds new versions of the images which were created based on
CC0-licensed public domain images:

https://commons.wikimedia.org/wiki/File:Zoom_in_out,_Magnifier_icons.svg
https://commons.wikimedia.org/wiki/File:Domino_tile_vertical-00-05.svg
https://commons.wikimedia.org/wiki/File:Domino_tile_vertical-00-03.svg
Comment 10 Jonathan Druart 2021-08-18 14:23:01 UTC
Based on bug 27522 comment 22 I have decided to restore the original version of the icons.
Comment 11 Jonathan Druart 2021-08-18 14:31:24 UTC
Pushed to master for 21.11, thanks to everybody involved!